Bug 831600 - Ticket Monster: the inputs for Adults and for Children appear in different order
Ticket Monster: the inputs for Adults and for Children appear in different order
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TicketMonster (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
low Severity medium
: CR1
: 2.1.0
Assigned To: Marius Bogoevici
Karel Piwko
ticket-monster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 08:09 EDT by Tomas Repel
Modified: 2013-02-01 10:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, selecting the venue Sydney Opera House in Ticket Monster would cause the Child and Adult input fields to appear in different orders when choosing different sections. Web Framework Kit 2.1 fixes this issue and the inputs show in the same order, regardless of the section selected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDF-120 Minor Resolved The inputs for Adults and for Children appear in different order 2013-06-14 12:18:25 EDT

  None (edit)
Description Tomas Repel 2012-06-13 08:09:18 EDT
Description of problem:

If the selected venue is Sydney Opera House, in section-choosing form the input fields for Adults and for Children appear in different order. If e.g. 'S1 - Front left' section is selected the Child input is shown first. If 'S7 - Balcony' is selected, the Adult input is shown first.

Version-Release number of selected component (if applicable):

WFK2 ER8
EAP6 CR1

How reproducible:

Always.

Steps to Reproduce:
1. package and deploy Ticket Monster example
2. select the Rock Concert event
3. select Sydney Opera House as a venue
4. click on 'Order tickets' button
5. choose different sections
  
Actual results:

For some sections, Child input is shown first, for other sections the Adult input is show first.

Expected results:

The inputs should show in the same order, regardless what section is selected.
Comment 1 Vaclav Dedik 2012-10-11 07:33:52 EDT
This bug is still present in ticket-monster 2.0.0.M3.
Comment 3 Marek Novotny 2012-10-24 04:34:06 EDT
Commit back ported from JDF TicketMonster - http://git.app.eng.bos.redhat.com/?p=wfk/ticket-monster.git;a=commitdiff;h=9cef3bf8e2c8d270f7b99340a0eef356fe8dd108
Comment 5 Tomas Repel 2012-11-07 11:05:35 EST
Verified in WFK 2.1.0.CR1.
Comment 6 Karel Piwko 2012-11-30 10:34:13 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.